use leptos::*;
use crate::models::item::Item;

#[component]
pub fn ItemsList(cx: Scope, items: Vec<Item>) -> impl IntoView {
    view! { cx,
        <div>
            <h2>{ "Items" }</h2>
            <ul>
                {items.iter().map(|item| view! { cx,
                    <li>
                        <strong>{ &item.name }</strong> - { &item.description }
                        <ul>
                            {item.tags.iter().map(|(key, value)| view! { cx,
                                <li>{ key.clone() + ": " + value }</li>
                            }).collect::<Vec<_>>()}
                        </ul>
                    </li>
                }).collect::<Vec<_>>()}
            </ul>
        </div>
    }
}
